#define rcver beta8
%define rel 2

%if 0%{?rcver:1}
%global rcrel .%{rcver}
%global subrel %{rcver}
%endif


Name:           ocaml-lablgtk3
Version:        3.1.1
Release:        %mkrel %{rel}
Summary:        OCaml interface to Gtk+3
Source:         https://github.com/garrigue/lablgtk/archive/%{version}%{?rcrel}.tar.gz
URL:            http://lablgtk.forge.ocamlcore.org/
License:        LGPL with static compilation exception
Group:          Development/OCaml
BuildRequires:  ncurses-devel
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cairo-devel
BuildRequires:  ocaml-camlp5
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gtkgl-2.0)
BuildRequires:  pkgconfig(glu)
Requires:       pkgconfig(gtk+-2.0)
Requires:       pkgconfig(librsvg-2.0)
Requires:       pkgconfig(libgnomeui-2.0)
Requires:       pkgconfig(gtkspell3-3.0)
Requires:       pkgconfig(libglade-2.0)
Requires:       pkgconfig(gtksourceview-3.0)
Requires:       pkgconfig(gtkgl-2.0)
Requires:       pkgconfig(glu)

%global __ocaml_requires_opts -i GtkSourceView2_types
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}GtkSourceView_types

%description
OCaml interface to the GIMP Tool Kit Version 2.

%package sourceview3
Summary:        OCaml interface to sourceview3
Group:          Development/OCaml

%description sourceview3
This package contains the sourceview3opment files needed to build applications
using %{name}.

%package sourceview3-devel
Summary:        Development files for ocaml-sourceview3
Group:          Development/OCaml
Requires:       %{name}-sourceview3 = %{version}-%{release}
Requires:       gtk3-devel

%description sourceview3-devel
This package contains the sourceview3 development files needed to build
applications using %{name}.

%package gtkspell3
Summary:        OCaml interface to gtkspell3
Group:          Development/OCaml

%description gtkspell3
This package contains the gtkspell3opment files needed to build applications
using %{name}.

%package gtkspell3-devel
Summary:        Development files for ocaml-gtkspell3
Group:          Development/OCaml
Requires:       %{name}-gtkspell3 = %{version}-%{release}
Requires:       gtk3-devel

%description gtkspell3-devel
This package contains the gtkspell3 development files needed to build
applications using %{name}.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gtk3-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n lablgtk-%{version}%{??rcrel}

%build
dune build @install --profile release


%install
dune install --destdir=%{buildroot}
rm -f %{buildroot}/%{_libdir}/ocaml/ld.conf

rm -fr %{buildroot}%{_prefix}/doc

%files
%doc LICENSE CHANGES.md README.md 
%{_bindir}/*
%dir %{_libdir}/ocaml/lablgtk3
%{_libdir}/ocaml/lablgtk3/META
%{_libdir}/ocaml/lablgtk3/*.cmi
%{_libdir}/ocaml/lablgtk3/*.cma
%{_libdir}/ocaml/stublibs/*

%files sourceview3
%dir %{_libdir}/ocaml/lablgtk3-sourceview3
%{_libdir}/ocaml/lablgtk3-sourceview3/META
%{_libdir}/ocaml/lablgtk3-sourceview3/*.cmi
%{_libdir}/ocaml/lablgtk3-sourceview3/*.cma

%files sourceview3-devel
%{_libdir}/ocaml/lablgtk3-sourceview3/*
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/META
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.cma
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.cmo
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.o

%files gtkspell3
%dir %{_libdir}/ocaml/lablgtk3-gtkspell3
%{_libdir}/ocaml/lablgtk3-gtkspell3/META
%{_libdir}/ocaml/lablgtk3-gtkspell3/*.cmi
%{_libdir}/ocaml/lablgtk3-gtkspell3/*.cma


%files gtkspell3-devel
%{_libdir}/ocaml/lablgtk3-gtkspell3/*
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/META
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.cma
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.cmo
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.o

%files devel
%{_libdir}/ocaml/lablgtk3/*
%exclude %{_libdir}/ocaml/lablgtk3/META
%exclude %{_libdir}/ocaml/lablgtk3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3/*.cma
%exclude %{_libdir}/ocaml/lablgtk3/*.cmo
%exclude %{_libdir}/ocaml/lablgtk3/*.o


%changelog
* Mon Aug 24 2020 tv <tv> 3.1.1-2.mga8
+ Revision: 1618400
- 3.1.1

* Sun Mar 01 2020 tv <tv> 3.1.0-2.mga8
+ Revision: 1552528
- fix deps

* Fri Feb 28 2020 pterjan <pterjan> 3.1.0-1.mga8
+ Revision: 1551596
- Update to 3.1.0

* Sat Jan 25 2020 tv <tv> 3.0-0.beta8.mga8
+ Revision: 1482980
- imported package ocaml-lablgtk3

